View Issue Details

IDProjectCategoryLast Update
0020521AI War 2[All Projects] SuggestionOct 30, 2018 6:25 pm
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.785 Controls Viewing And Editing 
Fixed in Version0.806 Sabre Company 
Summary0020521: Ambush turrets to scale better
DescriptionI like the ambush turrets (at least conceptually) but they often fall short of expectations. (Need more testing to see if they aren't overkilling anymore but that's not the issue here)

They are good at clearing small batches of units on your planet, but they become less viable with big waves. They don't actually scale well late game because of this. I think they need a buff the way V-wings get better at mark 4.

My proposal is that mark 4 and later ambush turrets have double the amount of time their bonus damage applies. These turrets would still be good early game, but you would need to invest in these for them to be viable when the AIP and waves are big.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Oct 15, 2018 12:23 pm

developer   ~0050014

How's the squad cap on these? They're generally good near wormholes but you have to spread out for that usually, or you can consolidate them but lose time, etc.

zeusalmighty

Oct 15, 2018 12:25 pm

reporter   ~0050015

Currently it feels just a bit low, mainly because multiple wormholes means splitting up these turrets to optimize coverage. Other turrets can benefit being consolidated near your command center but these (and teslas) need to be wormholes to be most effective

zeusalmighty

Oct 15, 2018 12:26 pm

reporter   ~0050016

I really like their fire rate though, and higher marks can still have decent dps even without the bonus in effect

RocketAssistedPuffin

Oct 15, 2018 12:42 pm

developer   ~0050017

Humm...some quick comparisons kinda had them doing almost too well without their bonus. I'll have a think on these, and throw the resulting test file here or Discord I guess.

zeusalmighty

Oct 15, 2018 12:46 pm

reporter   ~0050018

Maybe their base damage will need a reduction, they do pretty good damage as it is, at least for higher marks. They are solid generalists which is why I like them but it would be good to make their role as an ambusher more pronounced

Maybe these should be a "swarmer turret" in the sense that they they have higher caps, individually weaker but shine when their bonus damage is applied.

RocketAssistedPuffin

Oct 16, 2018 8:02 pm

developer   ~0050103

They don't scale right now like V-Wings do - I'm hesitant to do that here just yet, since I can't remove that extra system if I do.

This is what it is right now:

* Ambush Turrets cap increased from 10 to 30, cost and health reduced accordingly. Base damage reduced to be more in line with some other turrets, making them worse generalists, but the bonus is increased to keep them similar. Range also reduced to 5600.

RocketAssistedPuffin

Oct 30, 2018 6:25 pm

developer   ~0050388

These now have a boost to how long their effect lasts at Mark 4 and above.

Issue History

Date Modified Username Field Change
Oct 15, 2018 12:06 pm zeusalmighty New Issue
Oct 15, 2018 12:08 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Oct 15, 2018 12:08 pm RocketAssistedPuffin Status new => assigned
Oct 15, 2018 12:23 pm RocketAssistedPuffin Note Added: 0050014
Oct 15, 2018 12:25 pm zeusalmighty Note Added: 0050015
Oct 15, 2018 12:26 pm zeusalmighty Note Added: 0050016
Oct 15, 2018 12:42 pm RocketAssistedPuffin Note Added: 0050017
Oct 15, 2018 12:46 pm zeusalmighty Note Added: 0050018
Oct 16, 2018 8:02 pm RocketAssistedPuffin Status assigned => feedback
Oct 16, 2018 8:02 pm RocketAssistedPuffin Note Added: 0050103
Oct 30, 2018 6:25 pm RocketAssistedPuffin Status feedback => resolved
Oct 30, 2018 6:25 pm RocketAssistedPuffin Resolution open => fixed
Oct 30, 2018 6:25 pm RocketAssistedPuffin Fixed in Version => 0.806 Sabre Company
Oct 30, 2018 6:25 pm RocketAssistedPuffin Note Added: 0050388